<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
      xmlns:p="http://primefaces.org/ui">
     <style>

           body {
    background-color: lightblue;
    font-size: 12px;
}
h3 {
    font-size: 1em;
    color: #98989;
    border-bottom: 1px solid #CDCDCD;
}

.listLieux {
    margin-left: 10px;
    line-height: 10px;
}

.listLieux a, .listLieux>span {
    display: block;
}

.selected {
    font-weight: bold;
}

.listLieux img {
    margin-left: 5px;
}
label {
    font-size: 10px;
    font-family: Arial, Verdana, sans-serif;
    cursor: pointer;
}

        </style>
    <h:outputStylesheet library="css/extraction" name="#{css}" />
     <link rel="stylesheet" href="./css/extraction/dispositifhoiceStep-styles.css" />
     <f:loadBundle basename="org.inra.ecoinfo.pro.extraction.listeitineraires.dispositif.dispositifChoiceStep" var="extractionITKDPanel"/>

    <p:remoteCommand name="updateDispositifs" process="@this,parametersRequest" 
                     update="listLieu,parametersRequest,messageWarningStep1,validImage,nextStepButton"
                     partialSubmit="true" />

    <p:panel  id="alldisplieu" header="Affichage des Dispositifs par Lieu d'implantation">
        <h:outputText id="messageWarningStep1"
                      value="#{extractionITKDPanel.PARAM_MSG_WARNING}"
                      rendered="#{not uiBean.parametersRequest.dispositifStepIsValid}"
                      styleClass="selectionEmpty" />
        <h:panelGroup id="listLieu" styleClass="listLieux" layout="block">
            <ui:param name="lieux" value="#{uiBean.getLieuAvailables()}" />		
            <c:forEach items="#{lieux}" var="lieu">
                <label for="#{lieu.value.lieu.nom}">
                    <h3> 
                        <h:outputText	value="#{lieu.value.lieu.localizedName}" />
                    </h3> 
                </label>
                <h:panelGroup layout="block" styleClass="listDispositifs">
                    <ui:param name="dispositifs" value="#{lieu.value.dispositifs}" />
                    <c:forEach items="#{dispositifs}" var="dispositif">
                        <p:commandLink actionListener="#{uiBean.selectDispositif(lieu.key,dispositif.key)}"
                                       oncomplete="updateDispositifs()" 
                                       styleClass="#{dispositif.value.selected ? 'selected':''}">
                            <p>
                                <h:outputText value="#{dispositif.value.dispositif.nom}" escape="false" styleClass="redText" /> 
                                <h:graphicImage name="check.png" library="images"
                                                rendered="#{dispositif.value.selected}" />
                            </p>
                        </p:commandLink>
                    </c:forEach>
                </h:panelGroup>
            </c:forEach>
        </h:panelGroup>
    </p:panel>
</html>
